<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Quote;

use Magento\Backend\Block\Template\Context;
use Magento\Framework\App\ResourceConnection;

/**
 * Class Quote
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Quote
 */
class Quote extends \FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig
{

    /**
     * Quote Model
     *
     * @var \Magento\Quote\Model\Quote
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'quote';

    /**
     * @var string
     */
    protected $_type = 'flat';

    /**
     * @var array
     */
    protected $_exclude = ['entity_id'];

    /**
     * Order constructor.
     * @param \Magento\Quote\Model\Quote $quote
     * @param Context $context
     * @param ResourceConnection $resourceConnection
     * @param array $data
     */
    public function __construct(
        \Magento\Quote\Model\Quote $quote,
        Context $context,
        ResourceConnection $resourceConnection,
        array $data = []
    ) {
        $this->_model = $quote;
        parent::__construct($context, $resourceConnection, $data);
    }
}
