<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Model\From\Entity;

use FiloBlu\MappConnector\Model\To\Mapp\SFTP;
use Magento\Framework\App\ResourceConnection;

/**
 * Class Order
 * @package FiloBlu\MappConnector\Model\From\Entity
 */
class Order extends AbstractEntity implements EntityInterface
{

    /**
     * Entity
     *
     * @var string
     */
    protected $_entity = 'order';

    /**
     * Magento Entity Model
     *
     * @var string
     */
    protected $_entityModel = \Magento\Sales\Model\Order::class;

    /**
     * Magento Entity Model Id
     *
     * @var string
     */
    protected $_entityModelPrimary = 'entity_id';

    /**
     * Magento Entity Model Related Id
     *
     * @var string
     */
    protected $_entityModelRelatedPrimary = 'entity_id';

    /**
     * Mapp Resource Model
     *
     * @var string
     */
    protected $_entityMappResource = SFTP::class;

    /**
     * Mapp Resource Model Id
     *
     * @var array
     */
    protected $_entityMappPrimary = ['primaryDB' => 'customer_email', 'primaryMapp' => 'email'];

    /**
     * @var \Magento\Sales\Model\Order
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_xmlConfigPath = 'mappconnector/order_mapping/order';

    /**
     * Order constructor.
     * @param \Magento\Sales\Model\Order $order
     * @param ResourceConnection $resourceConnection
     */
    public function __construct(
        \Magento\Sales\Model\Order $order,
        ResourceConnection $resourceConnection
    ) {
        parent::__construct($resourceConnection);
        $this->_model = $order;
    }

    /**
     * @param $primary
     * @param $id
     * @return array|mixed
     */
    public function getObjectData($primary, $id)
    {
        return $this->_model->getCollection()
            ->addAttributeToSelect('*')
            ->addFieldToFilter($primary, $id)
            ->getFirstItem()
            ->getData();
    }
}
